Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1277960 - Only the last added Openstack Infra provider shows up in the list when adding an Openstack Cloud provider
Summary: Only the last added Openstack Infra provider shows up in the list when adding...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.5.0
Assignee: Ladislav Smola
QA Contact: Marius Cornea
URL:
Whiteboard: openstack
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-04 12:29 UTC by Marius Cornea
Modified: 2015-12-08 13:43 UTC (History)
10 users (show)

Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-08 13:43:38 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 0 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 17:58:09 UTC

Description Marius Cornea 2015-11-04 12:29:16 UTC
Description of problem:
Only the last added Openstack Infra provider shows up in the list when adding an Openstack Cloud provider.

Version-Release number of selected component (if applicable):
5.5.0.9-beta2.20151102161742_5530c9a

How reproducible:
100%

Steps to Reproduce:
1. Register multiple Openstack Infra Providers
2. Go to the Add New Cloud Provider form
3. Register an Openstack Cloud Provider type

Actual results:
The Openstack Infra Provider dropdown menu only shows the OSP-d provider that was last added. 

Expected results:
All the Openstack Infra Providers would show up in the dropdown menu.

Additional info:

Upstream fix:
https://github.com/ManageIQ/manageiq/pull/5199

Comment 2 CFME Bot 2015-11-15 14:00:27 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/823c585794a3803048e5b2cdae7752992d439e3d

commit 823c585794a3803048e5b2cdae7752992d439e3d
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Fri Oct 30 15:13:48 2015 +0100
Commit:     Ladislav Smola <lsmola@redhat.com>
CommitDate: Thu Nov 12 16:36:26 2015 +0100

    Bugfix: showing all Directors in OpenStack cloud
    
    Before it was overwritten so only last one showed up.
    
    Fixes BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1277960

 app/controllers/ems_common.rb | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

Comment 4 CFME Bot 2015-11-16 21:20:07 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=3cd9d6bd8335b3feefe6c2883b8eb1d2b3a22d49

commit 3cd9d6bd8335b3feefe6c2883b8eb1d2b3a22d49
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Fri Oct 30 15:13:48 2015 +0100
Commit:     Ladislav Smola <lsmola@redhat.com>
CommitDate: Mon Nov 16 17:08:28 2015 +0100

    Bugfix: showing all Directors in OpenStack cloud
    
    Before it was overwritten so only last one showed up.
    
    Fixes BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1277960

 app/controllers/ems_common.rb | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

Comment 5 CFME Bot 2015-11-16 21:20:34 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=47a315d6a450ae866b30382b12b6158c9dd27110

commit 47a315d6a450ae866b30382b12b6158c9dd27110
Merge: 6481461 3cd9d6b
Author:     Oleg Barenboim <obarenbo@redhat.com>
AuthorDate: Mon Nov 16 12:09:32 2015 -0500
Commit:     Oleg Barenboim <obarenbo@redhat.com>
CommitDate: Mon Nov 16 12:09:32 2015 -0500

    Merge branch 'bz1277960' into '5.5.z'
    
    Bugfix: showing all Directors in OpenStack cloud
    
    Before it was overwritten so only last one showed up.
    
    Clean cherry-pick of:
    https://github.com/ManageIQ/manageiq/pull/5199
    
    Fixes BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1277960
    
    See merge request !467

 app/controllers/ems_common.rb | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

Comment 6 Ronnie Rasouli 2015-12-02 11:42:55 UTC
Can see the list with multiple additional infra providers.
version 5.5.0.12-rc2.20151124135609_653c0d4

Comment 8 errata-xmlrpc 2015-12-08 13:43:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551


Note You need to log in before you can comment on or make changes to this bug.